curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/export-jobs/{jobId}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/export-jobs/{jobId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/export-jobs/{jobId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"downloadUrl": "https://storage.example.com/exports/report.csv?token=abc",
"fileName": "matched_report.csv",
"sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"expiresIn": 3600
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0004",
"title": "Forbidden",
"message": "You do not have the necessary permissions to perform this action. Please contact your administrator if you believe this is an error."
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0703",
"title": "Service Unavailable",
"message": "The storage service is currently unavailable. Please try again later."
}Descargar archivo de exportación
Utilice este endpoint para descargar el archivo de exportación. La respuesta incluye una URL prefirmada para descargar el archivo.
Autorizaciones
Autenticación con token Bearer (formato: "Bearer {token}")
Encabezados
A unique identifier for tracing the request across services.
Parámetros de ruta
Export Job ID
Respuesta
Detalles de descarga de la exportación
URL de descarga prefirmada y metadatos de un archivo de trabajo de exportación
URL prefirmada para descargar el archivo de exportación
"https://storage.example.com/exports/report.csv?token=abc"
Nombre de archivo original de la exportación
"matched_report.csv"
Suma de verificación SHA-256 del archivo para validación de integridad
"e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"
Duración en segundos hasta que expire la URL de descarga
3600
¿Esta página le ayudó?

